import time
import unittest
from time import sleep

import selenium.webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver.support import expected_conditions as EC
from selenium.webdriver.support.wait import WebDriverWait


class testLogin(unittest.TestCase):
    @classmethod
    def setUpClass(cls):
        cls.driver = selenium.webdriver.Chrome()
        cls.driver.implicitly_wait(10)
        cls.url = 'http://192.168.253.6:23400/'

    @classmethod
    def testLogin(self):

        driver = self.driver
        driver.get(self.url)
        sleep(3)
        driver.find_element_by_link_text(u'登录').click()
        sleep(3)
        driver.find_element_by_css_selector('[placeholder="手机号/邮箱"]').send_keys('18948739305')
        driver.find_element_by_xpath('//input[@placeholder="密码"]').send_keys('qq123123')
        driver.find_element_by_xpath('//*[@id="form-wrap"]/div[1]/form/div[6]/div/a').click()
        sleep(3)
        driver.find_element_by_xpath(
            '//*[@id="__nuxt"]/div/div/div/div[1]/div[3]/div/div/div[2]/div/div[2]/ul/li[1]').click()
        sleep(3)
        login_name = driver.find_element_by_xpath('//*[@id="main"]/header/nav/div/div[2]/div/div[1]/span').text
        self.assertEqual(login_name, '月牙科技有限公司2')


    @classmethod
    def tearDownClass(cls):
        cls.driver.quit()


if __name__ == '__main__':
    unittest.main
